Support » Plugin: WordPress Download Manager » JS problem in IE11

  • Hi,

    While the newest version did solve this problem: https://wordpress.org/support/topic/ie11-front-js-syntax-error/ there are still some problems with the front.js-file in IE11.

    The problem is that ES6 does not work properly in IE11. The above problem was that IE11 does not support ‘class’. But it also does not support arguments in a function to have default values. Like this:
    notify: function(message, type = 'info', position = 'top-right'){

    In IE11 I get an error saying that is’s expecting an end ‘)’ after ‘type’ in the row above.

    I’ve solved this myself temporarily by simply compile the file with Babel. But it would be great if you could compile the file with all the coming versions.

  • You must be logged in to reply to this topic.